lensfun 0.2.8.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

Classes | Functions
Structures and functions for camera mounts

These structures and functions allow to define and examine the properties of camera mounts. More...

## Classes
struct | lfMount
| This structure contains everything specific to a camera mount. More...

## Functions
lfMount * | lf_mount_new ()
| Create a new mount object. More...
void | lf_mount_destroy (lfMount *mount)
| Destroy a lfMount object. More...
void | lf_mount_copy (lfMount *dest, const lfMount *source)
| Copy the data from one lfMount structure into another. More...
cbool | lf_mount_check (lfMount *mount)

## Detailed Description

These structures and functions allow to define and examine the properties of camera mounts.

## Function Documentation

cbool lf_mount_check | ( | lfMount * | mount | ) |

See Also
  lfMount::Check

void lf_mount_copy | ( | lfMount * | dest,
|  | const lfMount * | source
| ) |  |

Copy the data from one lfMount structure into another.

Parameters

  dest | The destination object
  source | The source object

See Also
  lfMount::operator = (const lfMount &)

void lf_mount_destroy | ( | lfMount * | mount | ) |

Destroy a lfMount object.

This is equivalent to C++ "delete mount".

Parameters

  mount | The mount object to destroy.

See Also
  lfMount::~lfMount()

lfMount* lf_mount_new | ( |  | ) |

Create a new mount object.

Returns
  A new empty mount object.

See Also
  lfMount::lfMount()